Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.autotune
Class TestAutotuneAdaptorCustomizer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          com.ibm.able.AbleObjectCustomizer
                              com.ibm.able.AbleDefaultAgentCustomizer
                                  com.ibm.able.autotune.BaseAutotuneAdaptorCustomizer
                                      com.ibm.able.autotune.TestAutotuneAdaptorCustomizer

All Implemented Interfaces:
  AbleCustomizer, AbleEventListener, javax.accessibility.Accessible, java.beans.Customizer, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class TestAutotuneAdaptorCustomizer
extends BaseAutotuneAdaptorCustomizer
implements java.beans.PropertyChangeListener, AbleEventListener

This class provides the customizer interface for the BaseAutotuneAdaptor. Classes extending BaseAutotuneAdaptorCustomizer must add or insert their panels to this dialog. They must also implement AbleCustomizer. For now assume the panel size is 475x350.

Tabs provided are:

Metrics tab
  AutotuneMetricPanel

See Also:
  `AbleObjectCustomizer`, `AbleImportPanel`, Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class com.ibm.able.AbleObjectCustomizer
`TabHeight, TabWidth`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`TestAutotuneAdaptorCustomizer()` Construct an Able Default Agent Customizer Dialog.
`TestAutotuneAdaptorCustomizer(javax.swing.JFrame frame, java.lang.String title, boolean isModal)` Construct a customizer dialog.

Method Summary
`void` | `handleAbleEvent(AbleEvent theEvent)` The customizer listens for AbleEvents issued by its member import bean.
`static void` | `main(java.lang.String[] args)` The main method is provided only for testing.
`void` | `propertyChange(java.beans.PropertyChangeEvent theEvent)` The customizer listens to changes in the state property of the member import bean.
`void` | `setObject(java.lang.Object anAdaptor)` Write the data from the object to the panel(s) provided by this customizer.
`void` | `updateObject()` Update the agent that is being customized.

Methods inherited from class com.ibm.able.AbleObjectCustomizer
`addPanel, addPropertyChangeListener, addPropertyChangeMethod, addTab, dispose, getCancelButton, getCustomizer, getCustomizerButtonPanel, getHelpButton, getOKButton, getWorkingDirectory, insertTab, insertTab, isChanged, isIgnoringPropertyChanges, removePropertyChangeListener, setChanged, setCustomizer, setIgnoreAnyPropertyChanges, setVisible, setWorkingDirectory, startCustomizer, updateProperties, userCancelled`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, getTitle, hide, isModal, isResizable, isUndecorated, removeNotify, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestAutotuneAdaptorCustomizer

    public TestAutotuneAdaptorCustomizer(javax.swing.JFrame frame,
                                         java.lang.String title,
                                         boolean isModal)

  Construct a customizer dialog. Dialog is not modal so other windows can be active at the same time.

Parameters:
  `frame` - the frame from which the dialog is displayed.
  `title` - the String to display in the dialog's title bar.

### TestAutotuneAdaptorCustomizer

    public TestAutotuneAdaptorCustomizer()

  Construct an Able Default Agent Customizer Dialog. Dialog is not modal so other windows can be active at the same time.

Method Detail

### main

    public static void main(java.lang.String[] args)

  The main method is provided only for testing.

### setObject

    public void setObject(java.lang.Object anAdaptor)

  Write the data from the object to the panel(s) provided by this customizer. The panel saves a reference to the agent being customized and adds event and state change listeners on the import bean. Succeeding calls to this method refresh the panel content.

  Specified by:
    `setObject` in interface `java.beans.Customizer`
  Overrides:
    `setObject` in class `BaseAutotuneAdaptorCustomizer`
  Parameters:
    `anAdaptor` - The Adaptor that is to be changed.
  See Also:
    `AbleObjectCustomizer`

### updateObject

    public void updateObject()
                      throws java.rmi.RemoteException

  Update the agent that is being customized. This method is called when the dialog's OK button is pressed.

  Specified by:
    `updateObject` in interface `AbleCustomizer`
  Overrides:
    `updateObject` in class `BaseAutotuneAdaptorCustomizer`
  Throws:
    `java.rmi.RemoteException` - is thrown when the panel values cannot be set on the agent.
  See Also:
    `AbleObjectCustomizer`

### handleAbleEvent

    public void handleAbleEvent(AbleEvent theEvent)
                         throws AbleException

  The customizer listens for AbleEvents issued by its member import bean. When a data changed event from the import bean occurs, it copies the bean's output buffer into its metrics, and then refreshes the panels.

  Specified by:
    `handleAbleEvent` in interface `AbleEventListener`
  Parameters:
    `theEvent` - The AbleEvent that occurred.
  Throws:
    `AbleException` - If an error occurs.

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent theEvent)

  The customizer listens to changes in the state property of the member import bean. When the bean is initialized, the adaptor is initialized as well. Other state changes in the bean are directly set in the adaptor to keep them in synch.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `theEvent` - The PropertyChangeEvent that occurred.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005